corinthia-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j...@apache.org
Subject [11/19] incubator-corinthia git commit: work
Date Thu, 01 Jan 2015 10:10:33 GMT
work


Project: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/commit/826c423f
Tree: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/tree/826c423f
Diff: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/diff/826c423f

Branch: refs/heads/RTC_platform
Commit: 826c423fa0d4bfb8a69ada4bb7f9e16c7ef28d5e
Parents: 48a40e1
Author: jani <jani@apache.org>
Authored: Tue Dec 30 16:53:39 2014 +0100
Committer: jani <jani@apache.org>
Committed: Tue Dec 30 16:53:39 2014 +0100

----------------------------------------------------------------------
 consumers/dftest/src/main.c   |   2 +-
 external/.gitignore           |   3 +-
 external/README.txt           | 167 +++++++++++++++++++++++++++++++++++--
 external/extract_downloads.sh |  45 ++++++++++
 external/fetch_downloads.sh   |  21 +++++
 external/include/README.txt   |  81 ------------------
 external/include/unistd.h     |   3 -
 external/lib/README.txt       |  10 ---
 8 files changed, 229 insertions(+), 103 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/consumers/dftest/src/main.c
----------------------------------------------------------------------
diff --git a/consumers/dftest/src/main.c b/consumers/dftest/src/main.c
index c7e5418..e736e2f 100644
--- a/consumers/dftest/src/main.c
+++ b/consumers/dftest/src/main.c
@@ -353,7 +353,7 @@ int main(int argc, const char **argv)
         TestGroup *singleGroup[] = { NULL, NULL };
         int        i = 0;
 
-        for (i; allGroups[i] && strcmp(argv[2], allGroups[i]->name); i++) ;
+        for (; allGroups[i] && strcmp(argv[2], allGroups[i]->name); i++) ;
         if (allGroups[i]) {
           singleGroup[0] = allGroups[i];
           utrun(singleGroup, 1, 0, NULL);

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/external/.gitignore
----------------------------------------------------------------------
diff --git a/external/.gitignore b/external/.gitignore
index 2739ff0..ca1dc4d 100644
--- a/external/.gitignore
+++ b/external/.gitignore
@@ -9,6 +9,7 @@
 
 
 # Build results
+bin/
 lib/
 include/
-
+download/

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/external/README.txt
----------------------------------------------------------------------
diff --git a/external/README.txt b/external/README.txt
index fa95d9a..5067bdc 100644
--- a/external/README.txt
+++ b/external/README.txt
@@ -2,14 +2,167 @@ Download external developer libraries to here, and you dont need to modify
CMake
 
 in order to compile on windows you need:
 
-Zlib developer files from http://gnuwin32.sourceforge.net/packages/zlib.htm
-Iconv developer files from http://gnuwin32.sourceforge.net/packages/libiconv.htm
-libxml2 developer files from ftp://ftp.zlatkovic.com/libxml/64bit/
-SDL2 developer files from https://www.libsdl.org/download-2.0.php
-SDL2_image developer files from https://www.libsdl.org/projects/SDL_image/
+Zlib developer files:
+    http://zlib.net/zlib128-dll.zip
 
-you might also need:
-unistd.h from http://sourceforge.net/p/mingw/mingw-org-wsl/ci/master/tree/include/
+Iconv developer files:
+    ftp://ftp.zlatkovic.com/libxml/iconv-1.9.2.win32.zip
 
+libxml2 developer files:
+    ftp://ftp.zlatkovic.com/libxml/libxml2-2.7.8.win32.zip
+
+SDL2 developer files:
+    https://www.libsdl.org/release/SDL2-devel-2.0.3-VC.zip
+
+SDL2_image developer files:
+    https://www.libsdl.org/projects/SDL_image/release/SDL2_image-devel-2.0.0-VC.zip
 
 We are working on reducing these dependencies.
+
+On a Unix system (and possibly under cygwin), you can run the
+fetch_downloads.sh script to download these. The extract_downloads.sh
+script places all the files in the bin, lib, and include
+directories. The result should look like this the listing below.
+
+After building Corinthia, you will need to copy all of the DLL files from
+external/bin into the bin directory within your build directory,
+alongside dfconvert and dftest.
+
+bin/SDL2.dll
+bin/SDL2_image.dll
+bin/iconv.dll
+bin/iconv.exe
+bin/libjpeg-9.dll
+bin/libpng16-16.dll
+bin/libtiff-5.dll
+bin/libwebp-4.dll
+bin/libxml2.dll
+bin/xmlcatalog.exe
+bin/xmllint.exe
+bin/zlib1.dll
+include/SDL.h
+include/SDL_assert.h
+include/SDL_atomic.h
+include/SDL_audio.h
+include/SDL_bits.h
+include/SDL_blendmode.h
+include/SDL_clipboard.h
+include/SDL_config.h
+include/SDL_cpuinfo.h
+include/SDL_endian.h
+include/SDL_error.h
+include/SDL_events.h
+include/SDL_filesystem.h
+include/SDL_gamecontroller.h
+include/SDL_gesture.h
+include/SDL_haptic.h
+include/SDL_hints.h
+include/SDL_image.h
+include/SDL_joystick.h
+include/SDL_keyboard.h
+include/SDL_keycode.h
+include/SDL_loadso.h
+include/SDL_log.h
+include/SDL_main.h
+include/SDL_messagebox.h
+include/SDL_mouse.h
+include/SDL_mutex.h
+include/SDL_name.h
+include/SDL_opengl.h
+include/SDL_opengles.h
+include/SDL_opengles2.h
+include/SDL_pixels.h
+include/SDL_platform.h
+include/SDL_power.h
+include/SDL_quit.h
+include/SDL_rect.h
+include/SDL_render.h
+include/SDL_revision.h
+include/SDL_rwops.h
+include/SDL_scancode.h
+include/SDL_shape.h
+include/SDL_stdinc.h
+include/SDL_surface.h
+include/SDL_system.h
+include/SDL_syswm.h
+include/SDL_test.h
+include/SDL_test_assert.h
+include/SDL_test_common.h
+include/SDL_test_compare.h
+include/SDL_test_crc32.h
+include/SDL_test_font.h
+include/SDL_test_fuzzer.h
+include/SDL_test_harness.h
+include/SDL_test_images.h
+include/SDL_test_log.h
+include/SDL_test_md5.h
+include/SDL_test_random.h
+include/SDL_thread.h
+include/SDL_timer.h
+include/SDL_touch.h
+include/SDL_types.h
+include/SDL_version.h
+include/SDL_video.h
+include/begin_code.h
+include/close_code.h
+include/iconv.h
+include/libxml/DOCBparser.h
+include/libxml/HTMLparser.h
+include/libxml/HTMLtree.h
+include/libxml/SAX.h
+include/libxml/SAX2.h
+include/libxml/c14n.h
+include/libxml/catalog.h
+include/libxml/chvalid.h
+include/libxml/debugXML.h
+include/libxml/dict.h
+include/libxml/encoding.h
+include/libxml/entities.h
+include/libxml/globals.h
+include/libxml/hash.h
+include/libxml/list.h
+include/libxml/nanoftp.h
+include/libxml/nanohttp.h
+include/libxml/parser.h
+include/libxml/parserInternals.h
+include/libxml/pattern.h
+include/libxml/relaxng.h
+include/libxml/schemasInternals.h
+include/libxml/schematron.h
+include/libxml/threads.h
+include/libxml/tree.h
+include/libxml/uri.h
+include/libxml/valid.h
+include/libxml/xinclude.h
+include/libxml/xlink.h
+include/libxml/xmlIO.h
+include/libxml/xmlautomata.h
+include/libxml/xmlerror.h
+include/libxml/xmlexports.h
+include/libxml/xmlmemory.h
+include/libxml/xmlmodule.h
+include/libxml/xmlreader.h
+include/libxml/xmlregexp.h
+include/libxml/xmlsave.h
+include/libxml/xmlschemas.h
+include/libxml/xmlschemastypes.h
+include/libxml/xmlstring.h
+include/libxml/xmlunicode.h
+include/libxml/xmlversion.h
+include/libxml/xmlwriter.h
+include/libxml/xpath.h
+include/libxml/xpathInternals.h
+include/libxml/xpointer.h
+include/zconf.h
+include/zlib.h
+lib/SDL2.lib
+lib/SDL2_image.lib
+lib/SDL2main.lib
+lib/SDL2test.lib
+lib/iconv.lib
+lib/iconv_a.lib
+lib/libxml2.lib
+lib/libxml2_a.lib
+lib/libxml2_a_dll.lib
+lib/zdll.lib
+lib/zlib.def

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/external/extract_downloads.sh
----------------------------------------------------------------------
diff --git a/external/extract_downloads.sh b/external/extract_downloads.sh
new file mode 100755
index 0000000..0d151e3
--- /dev/null
+++ b/external/extract_downloads.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+set -e
+
+mkdir packages
+
+mkdir packages/SDL2
+mkdir packages/SDL2_image
+mkdir packages/iconv
+mkdir packages/libxml2
+mkdir packages/zlib
+
+(cd packages/SDL2 && unzip ../../download/SDL2-devel-2.0.3-VC.zip)
+(cd packages/SDL2_image && unzip ../../download/SDL2_image-devel-2.0.0-VC.zip)
+(cd packages/iconv && unzip ../../download/iconv-1.9.2.win32.zip)
+(cd packages/libxml2 && unzip ../../download/libxml2-2.7.8.win32.zip)
+(cd packages/zlib && unzip ../../download/zlib128-dll.zip)
+chmod -R u+w packages/zlib
+
+for i in bin lib include; do
+    if [ ! -d $i ]; then
+        mkdir $i
+    fi
+done
+
+mv packages/SDL2/SDL2-2.0.3/include/* include
+mv packages/SDL2/SDL2-2.0.3/lib/x86/*.lib lib
+mv packages/SDL2/SDL2-2.0.3/lib/x86/*.dll bin
+
+mv packages/SDL2_image/SDL2_image-2.0.0/include/* include
+mv packages/SDL2_image/SDL2_image-2.0.0/lib/x86/*.lib lib
+mv packages/SDL2_image/SDL2_image-2.0.0/lib/x86/*.dll bin
+
+mv packages/iconv/iconv-1.9.2.win32/include/* include
+mv packages/iconv/iconv-1.9.2.win32/lib/* lib
+mv packages/iconv/iconv-1.9.2.win32/bin/* bin
+
+mv packages/libxml2/libxml2-2.7.8.win32/include/* include
+mv packages/libxml2/libxml2-2.7.8.win32/lib/* lib
+mv packages/libxml2/libxml2-2.7.8.win32/bin/* bin
+
+mv packages/zlib/include/* include
+mv packages/zlib/lib/* lib
+
+rm -rf packages

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/external/fetch_downloads.sh
----------------------------------------------------------------------
diff --git a/external/fetch_downloads.sh b/external/fetch_downloads.sh
new file mode 100755
index 0000000..c03b9b3
--- /dev/null
+++ b/external/fetch_downloads.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+if [ ! -d download ]; then
+    mkdir download
+fi
+
+URLS="http://zlib.net/zlib128-dll.zip \
+      ftp://ftp.zlatkovic.com/libxml/iconv-1.9.2.win32.zip \
+      ftp://ftp.zlatkovic.com/libxml/libxml2-2.7.8.win32.zip \
+      https://www.libsdl.org/release/SDL2-devel-2.0.3-VC.zip \
+      https://www.libsdl.org/projects/SDL_image/release/SDL2_image-devel-2.0.0-VC.zip"
+
+cd download
+for url in $URLS; do
+    if [ ! -f $(basename $url) ]; then
+        wget $url
+    fi
+done
+
+cd ..

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/external/include/README.txt
----------------------------------------------------------------------
diff --git a/external/include/README.txt b/external/include/README.txt
deleted file mode 100644
index 83b370f..0000000
--- a/external/include/README.txt
+++ /dev/null
@@ -1,81 +0,0 @@
-put the downloaded external header files here.
-
-The content should be:
-   zlib.h
-   zconf.h
-
-   SDL.h
-   SDL_main.h
-   SDL_image.h
-   SDL_stdinc.h
-   SDL_config.h
-   SDL_platform.h
-   SDL_assert.h
-   SDL_atomic.h
-   SDL_audio.h
-   SDL_error.h
-   SDL_endian.h
-   SDL_mutex.h
-   SDL_thread.h
-   SDL_rwops.h
-   SDL_clipboard.h
-   SDL_cpuinfo.h
-   SDL_events.h
-   SDL_video.h
-   SDL_pixels.h
-   SDL_rect.h
-   SDL_surface.h
-   SDL_blendmode.h
-   SDL_keyboard.h
-   SDL_mouse.h
-   SDL_joystick.h
-   SDL_gamecontroller.h
-   SDL_quit.h
-   SDL_gesture.h
-   SDL_touch.h
-   SDL_keycode.h
-   SDL_scancode.h
-   SDL_filesystem.h
-   SDL_haptic.h
-   SDL_hints.h
-   SDL_loadso.h
-   SDL_log.h
-   SDL_messagebox.h
-   SDL_power.h
-   SDL_render.h
-   SDL_system.h
-   SDL_timer.h
-   SDL_version.h
-   begin_code.h
-   close_code.h
- 
-   libxml/tree.h
-   libxml/xmlwriter.h
-   libxml/xmlversion.h
-   libxml/xmlexports.h
-   libxml/xmlstring.h
-   libxml/xmlregexp.h
-   libxml/dict.h
-   libxml/xmlmemory.h
-   libxml/thread.h
-   libxml/globals.h
-   libxml/parser.h
-   libxml/hash.h
-   libxml/valid.h
-   libxml/xmlerror.h
-   libxml/list.h
-   libxml/xmlautomata.h
-   libxml/entities.h
-   libxml/encoding.h
-   libxml/xmlIO.h
-   libxml/SAX.h
-   libxml/SAX2.h
-   libxml/xlink.h
-
-   iconv.h
-
-
-
-
-
-

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/external/include/unistd.h
----------------------------------------------------------------------
diff --git a/external/include/unistd.h b/external/include/unistd.h
deleted file mode 100644
index 5f82577..0000000
--- a/external/include/unistd.h
+++ /dev/null
@@ -1,3 +0,0 @@
-/**
- Dummy file to satisfy zconf.h includes
- **/

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/826c423f/external/lib/README.txt
----------------------------------------------------------------------
diff --git a/external/lib/README.txt b/external/lib/README.txt
deleted file mode 100644
index d20f6ad..0000000
--- a/external/lib/README.txt
+++ /dev/null
@@ -1,10 +0,0 @@
-Put the downloaded external libraries here.
-
-The content should be:
-   libxml2.lib
-   zlib.h
-   libiconv.lib
-   SDL2.lib
-   SDL2_image.lib
-
-


Mime
View raw message